<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="update.desktop.shortcuts" version="1.0" date="2009-09-07" maxthreads="1">


  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <tasks>
    <foreach enum="removed.desktop.shortcuts">
      <task name="remove.desktop.shortcut" typename="@DeleteShortcut" allowMultipleInstances="true">
        <parameters>
          <parameter name="folders" value="$[removed.desktop.shortcuts:folders]"/>
          <parameter name="link.name" value="$[removed.desktop.shortcuts:key]"/>
        </parameters>
      </task>
    </foreach>

    <foreach enum="updated.desktop.shortcuts">
      <dependencies list="removed.desktop.shortcuts"/>
      <task name="update.desktop.shortcut" typename="@CreateDesktopShortcut" allowMultipleInstances="true">
        <parameters>
          <parameter name="folders" value="$[updated.desktop.shortcuts:folders]"/>
          <parameter name="target.path" value="$[updated.desktop.shortcuts:target]"/>
          <parameter name="arguments" value="$[updated.desktop.shortcuts:arguments]"/>
          <parameter name="link.name" value="$[updated.desktop.shortcuts:key]"/>
          <parameter name="icon.fullpath" value="$[updated.desktop.shortcuts:icon]"/>
          <parameter name="workingdirectory" value="$[updated.desktop.shortcuts:workingdirectory]"/>
        </parameters>
      </task>
    </foreach>
    
    
  </tasks>

</taskrunner>